> ## Documentation Index
> Fetch the complete documentation index at: https://docs.callvrse.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Vapi call-event webhook

> Ingests Vapi end-of-call-report artifacts (recording re-archived to our S3, transcript stored) correlated to our call by number pair. Other server message types ack untouched. Optional X-Vapi-Secret shared-secret auth when VAPI_WEBHOOK_SECRET is set.



## OpenAPI

````yaml /openapi.json post /v1/webhooks/vapi
openapi: 3.0.3
info:
  title: Callvrse Telephony Gateway API
  description: >-
    Unified programmable voice gateway API for calls, carriers, DIDs, agent
    sessions, and routing.
  version: 1.0.0
servers:
  - url: http://127.0.0.1:8080
    description: Local development
security: []
paths:
  /v1/webhooks/vapi:
    post:
      tags:
        - Webhooks
      summary: Vapi call-event webhook
      description: >-
        Ingests Vapi end-of-call-report artifacts (recording re-archived to our
        S3, transcript stored) correlated to our call by number pair. Other
        server message types ack untouched. Optional X-Vapi-Secret shared-secret
        auth when VAPI_WEBHOOK_SECRET is set.
      responses:
        '200':
          description: Accepted

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.